Skip to content

document-contract-notes​


Execute massPrint bulk action​

PATCH
/accounts/{accountUuid}/documents/v2/contract-notes/bulk-actions/massPrint

Triggers the print action for each document

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"

Request Body​

application/json
JSON
{
  
"documentUuids": [
  
  
"string"
  
]
}

Responses​

Successfully bulk executed action

application/json
JSON
{
  
"data": {
  
  
"additionalProperties": {
  
  
  
"type": "string",
  
  
  
"id": 0,
  
  
  
"uuid": "string",
  
  
  
"printUrl": "string",
  
  
  
"document": {
  
  
  
  
"url": "string",
  
  
  
  
"preview_url": "string"
  
  
  
}
  
  
}
  
},
  
"message": "string",
  
"status": 200,
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​